<div class="modal-body" *ngIf="candidateData">
    <div class="row justify-content-between">
        <span class="fs-4 fw-semibold">{{getFullName(candidateData?.employee)}}</span>
        <span class="small text-muted py-auto">{{candidateData?.dateOfApplication | date: 'dd MMMM yyyy, HH:mm'}}</span>
        <p class="text-muted small">{{candidateData?.employee?.phone}}</p>
    </div>
    <div>
        <div>
        <span class="fs-6 fw-semibold">{{'humanresources.personalData' | translate}}</span>
        <ul>
            <li class="mb-2">
                <span class="text-muted me-3">{{'humanresources.birthdate' | translate}}</span>
                <span class="small">{{candidateData?.employee?.birthDate}}</span>
            </li>

            <li class="mb-2">
                <span class="text-muted me-3">{{'humanresources.idNumber' | translate}}</span>
                <span>{{candidateData?.employee?.birthDate}}</span>
            </li>
            <li class="mb-2">
                <span class="text-muted me-3">{{'humanresources.issued' | translate}}</span>
                <span>{{candidateData?.employee?.birthDate}}</span>
            </li>
            <li class="mb-2">
                <span class="text-muted me-3">ИИН</span>
                <span>{{ candidateData?.employee?.iin}}</span>
            </li>
            <li class="mb-2">
                <span class="text-muted me-3">{{'humanresources.residence' | translate}}</span>
                <span>{{ candidateData?.employee?.birthDate}}</span>
            </li>
            <li class="mb-2">
                <span class="text-muted me-3">{{'humanresources.address' | translate}}</span>
                <span>{{ candidateData?.employee?.address}}</span>
            </li>
            <li class="mb-2">
                <span class="text-muted me-3">{{'humanresources.military' | translate}}</span>
                <span>{{ candidateData?.employee?.birthDate}}</span>
            </li>
            <li class="mb-2">
                <span class="text-muted me-3">{{'humanresources.post' | translate}}</span>
                <span>{{ candidateData?.employee?.birthDate}}</span>
            </li>
            <li class="mb-2">
                <span class="text-muted me-3">{{'humanresources.department' | translate}}</span>
                <span>{{ candidateData?.employee?.birthDate}}</span>
            </li>
        </ul>
    </div>
    <div>
        <span class="fs-6 fw-semibold">{{'humanresources.familyStatus ' | translate}}-{{candidateData?.employee?.familyStatus}}</span>
        <ul>
            <li class="mb-2">
                <span class="text-muted me-3">{{'humanresources.spouse' | translate}}</span>
                <span class="small">{{candidateData?.employee?.birthDate}}</span>
            </li>

            <li class="mb-2">
                <span class="text-muted me-3">{{'humanresources.daughter' | translate}}</span>
                <span>{{candidateData?.employee?.birthDate}}</span>
            </li>
            <li class="mb-2">
                <span class="text-muted me-3">{{'humanresources.son' | translate}}</span>
                <span>{{candidateData?.employee?.birthDate}}</span>
            </li>
        </ul>
    </div>
    <div>
        <span class="fs-6 fw-semibold">{{'humanresources.education' | translate}}-{{candidateData?.employee?.education}}</span>
        <ul>
            <li class="mb-2">
                <span class="text-muted me-3">{{'humanresources.institution' | translate}}</span>
                <span class="small">{{candidateData?.employee?.birthDate}}</span>
            </li>

            <li class="mb-2">
                <span class="text-muted me-3">{{'humanresources.specialization' | translate}}</span>
                <span>{{candidateData?.employee?.birthDate}}</span>
            </li>
            <li class="mb-2">
                <span class="text-muted me-3">{{'humanresources.qualification' | translate}}</span>
                <span>{{candidateData?.employee?.birthDate}}</span>
            </li>
            <li class="mb-2">
                <span class="text-muted me-3">{{'humanresources.dateDiplom' | translate}}</span>
                <span>{{candidateData?.employee?.birthDate}}</span>
            </li>
            <li class="mb-2">
                <span class="text-muted me-3">{{'humanresources.diplom' | translate}} №</span>
                <span>{{candidateData?.employee?.birthDate}}</span>
            </li>
        </ul>
    </div>
    <div>
        <span class="fs-6 fw-semibold">{{'humanresources.education' | translate}}</span>
        <ul>
            <li class="mb-2">
                <span class="text-muted me-3">{{'humanresources.institution' | translate}}</span>
                <span class="small">{{candidateData?.employee?.birthDate}}</span>
            </li>

            <li class="mb-2">
                <span class="text-muted me-3">{{'humanresources.specialization' | translate}}</span>
                <span>{{candidateData?.employee?.birthDate}}</span>
            </li>
            <li class="mb-2">
                <span class="text-muted me-3">{{'humanresources.qualification' | translate}}</span>
                <span>{{candidateData?.employee?.birthDate}}</span>
            </li>
            <li class="mb-2">
                <span class="text-muted me-3">{{'humanresources.dateDiplom' | translate}}</span>
                <span>{{candidateData?.employee?.birthDate}}</span>
            </li>
            <li class="mb-2">
                <span class="text-muted me-3">{{'humanresources.diplom' | translate}} №</span>
                <span>{{candidateData?.employee?.birthDate}}</span>
            </li>
        </ul>
    </div>
    </div>
    <div  *ngIf="permission?.DownloadDocuments">
        <span class="fs-6 fw-semibold">{{'humanresources.attachments' | translate}}</span>
        <ul>
            <li class="mb-2">
                <span class="text-muted me-3">{{'humanresources.consent' | translate}}</span>
                <span class="small">{{candidateData?.phone}}</span>
            </li>
    
            <li class="mb-2">
                <span class="text-muted me-3">{{'humanresources.resume' | translate}}</span>
                <a class="text-decoration-underline" (click)="save(docs, docs?.title)" *ngFor="let docs of candidateData?.documents"><i class="bi bi-file-earmark-arrow-down"></i> {{docs?.title}}</a>
            </li>
            <div>
                <button class="btn btn-outline-danger btn-sm" (click)="addDocs(add)">{{'humanresources.addDocs' | translate}}</button>
            </div>
        </ul>
    </div>
    <div class="d-flex justify-content-evenly">
        <button class="btn btn-dark" *ngIf="permission?.SendApplication" (click)="openAction(action)">{{'humanresources.action' | translate}}</button>
        <button class="btn btn-dark" *ngIf="permission?.ManageApplication" (click)="accept()">{{'humanresources.assign' | translate}}</button>
        <button class="btn btn-outline-secondary" *ngIf="permission?.ManageApplication" (click)="cancel()">{{'humanresources.cancel' | translate}}</button>
    </div>
</div>
<app-empty-list *ngIf="!candidateData"></app-empty-list>

<ng-template let-modal #action>
    <div>
    <div class="modal-header">{{'humanresources.direct' | translate}}</div>
    <div class="modal-body">
       <form [formGroup]="form" (ngSubmit)="submit()">    
                <div class="">
                    <select class="form-select" formControlName="receiverId">
                        <option value="null">{{'humanresources.choose' | translate}}</option>
                        <option [value]="user.login" *ngFor="let user of users">{{getFullName(user)}}</option>
                    </select>
                </div>
            <div class="my-3">
                <textarea class="form-control" name="textarea" id="textarea" style="height: 100px;"></textarea>
            </div>
            <div>
                <button class="btn btn-dark" type="submit">{{'humanresources.direct' | translate}}</button>
            </div>
       </form> 
    </div>
    </div>
</ng-template>

<ng-template let-model #add>
    <div class="card">
        <h4 class="modal-header">{{'humanresources.addDocs' | translate}}</h4>
        <div class="modal-body">
            <div class="form-group">
                <label for="order">{{'humanresources.order' | translate}}</label>
                <input type="file" class="form-control" name="order" (change)="file($event, 'order')">
            </div>
            <div class="form-group">
                <label for="worksheet">{{'humanresources.worksheet' | translate}}</label>
                <input type="file" class="form-control" name="worksheet" (change)="file($event, 'worksheet')">
            </div>
            <div class="form-group">
                <label for="statement">{{'humanresources.statement' | translate}}</label>
                <input type="file" class="form-control" name="statement" (change)="file($event, 'statement')">
            </div>
        <div>
            <button class="btn btn-dark" (click)="sendDocs()">{{'humanresources.attach' | translate}}</button>
        </div>            
        </div>


        
    </div>
</ng-template>
